package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumBillTypeParam {

    RENT(1,"租金"),
    RENT_DEPOSIT(2,"租赁押金"),
    PROPERTY(3,"物业"),
    PROPERTY_DEPOSIT(4,"物业押金"),
    WATER(5, "水费"),
    POWER(6, "电费"),
    ROUTINE(7, "其他费用"),
    ATHER_DEPOSIT(8, "其他押金"),
    AIR_CONDITIONING(9, "空调费"),

    SETTLE(10, "结算单")
    ;

    public static EnumBillTypeParam getEnum(Integer code) {
        for (EnumBillTypeParam value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumBillTypeParam(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
